Bug 829790 - Cannot login using Internet Explorer
Cannot login using Internet Explorer
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
550
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Lestach
Lukas Pramuk
:
Depends On:
Blocks: sat550-blockers
  Show dependency treegraph
 
Reported: 2012-06-07 10:51 EDT by Lukas Pramuk
Modified: 2012-09-21 05:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: spacewalk-java-1.7.54-68
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 05:18:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Pramuk 2012-06-07 10:51:59 EDT
Description of problem:
Cannot login using Internet Explorer ( even if caching was disabled )

Version-Release number of selected component (if applicable):
spacewalk-java-1.7.54-27.el6sat.noarch (SAT 5.5.0)

How reproducible:
always

Steps to Reproduce:
1. Open up IE (tested on IE6 and IE8)
2. Connect to SAT server and attempt login
3. Web GUI will refresh and show login page again.
  
Actual results:
cannot login

Expected results:
successfully logged in

Additional info:
present also on 5.4.1 (not a regression)
Comment 1 Clifford Perry 2012-06-08 15:05:09 EDT
Not a regression - wow. This sounds serious though and something we need to investigate and understand what is going on.
Comment 2 Tomas Lestach 2012-06-22 09:38:38 EDT
Very useful reading:
http://blogs.msdn.com/b/ieinternals/archive/2009/08/20/wininet-ie-cookie-internals-faq.aspx

IE just ignored our cookie. No cookie, no session, no login ...

spacewalk.git: 9938adaa32021f950d3014637254c27fa611aa88
Comment 7 Clifford Perry 2012-09-21 05:18:00 EDT
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:

 https://access.redhat.com/knowledge/docs/Red_Hat_Network_Satellite/

The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

Regards,
Clifford
- Engineering Manager, Satellite

Note You need to log in before you can comment on or make changes to this bug.